package com.xintong.visualinspection.service;

import com.xintong.visualinspection.bean.FeeStation;
import com.xintong.visualinspection.bean.Organ;
import com.xintong.visualinspection.bean.User;
import com.xintong.visualinspection.bean.WreckerGroup;

import java.util.List;

/**
 * 文件名：UserService 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
public interface DepartmentService {
	public List<Organ> getAll();
	
	public List<Organ> getOrgans(Organ organ, User u);

	public void insert(Organ organ);

	public void update(Organ organ);

	public void delete(Integer id);
	
	public List<FeeStation> getAllFS();
	
	public List<FeeStation> getAllRM();
	
	public List<WreckerGroup> getAllWG();

    public List<FeeStation> getAllSA();
	
	public FeeStation getFSByDeptId(Integer dept_id);
	
	// 根据条件获取公司下道管或者收费站信息
	public List<Organ> getOrgans(Organ organ);
}
